summaryrefslogtreecommitdiffstats
path: root/asdctool/src/main/resources/scripts/retrieve_schema_file.sh
diff options
context:
space:
mode:
authorMichael Lando <ml636r@att.com>2017-06-11 14:22:02 +0300
committerMichael Lando <ml636r@att.com>2017-06-11 17:48:32 +0300
commitb3d4898d9e8452ea0b8d848c048e712d43b8d9a3 (patch)
tree0609319203be13f6c29ccbe24cb39c9d64f90095 /asdctool/src/main/resources/scripts/retrieve_schema_file.sh
parentaf9929df75604ce407d0ca542b200630164e0ae6 (diff)
[SDC-29] rebase continue work to align source
Change-Id: I218f1c5ee23fb2c8314f1c70921d3ad8682c10f4 Signed-off-by: Michael Lando <ml636r@att.com>
Diffstat (limited to 'asdctool/src/main/resources/scripts/retrieve_schema_file.sh')
-rw-r--r--asdctool/src/main/resources/scripts/retrieve_schema_file.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/asdctool/src/main/resources/scripts/retrieve_schema_file.sh b/asdctool/src/main/resources/scripts/retrieve_schema_file.sh
new file mode 100644
index 0000000000..f66b530f20
--- /dev/null
+++ b/asdctool/src/main/resources/scripts/retrieve_schema_file.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+cass_user=asdc_user
+cass_pass='Aa1234%^!'
+sdcReleaseNum=$1
+conformanceLevel=$2
+
+CQLSH="/home/vagrant/cassandra/apache-cassandra-2.1.9/bin/cqlsh"
+
+
+ ### Get payload
+
+ select_payload="select payload from sdcartifact.sdcschemafiles where conformanceLevel='$conformanceLevel' and sdcReleaseNum='$sdcReleaseNum'"
+
+ echo "Run: [$select_payload]"
+
+$CQLSH -e "$select_payload" |grep "0x" |xxd -r -p > SDC-downloaded.zip
+
+res=$?
+echo "After select payload, res=[$res]" \ No newline at end of file